CurlFTPfs: 95 Operation not supported

I’ve been using curlFTPfs with rdiff-backup and ran across this problem when creating the remote backup log file:

ftpfs: operation ftpfs_open failed because Operation not supported
unique: 889, error: -95 (Operation not supported), outsize: 16

The curlFTPfs author says:

“Be aware that some applications might not
be able to “save” files on curlftpfs from 0.9.2 on, because
we don’t support open(read+write) or open(write) and seek
anymore.”

Looking at /usr/lib/python2.7/dist-packages/rdiff_backup/log.py around line 76:

try: self.logfp = rpath.open("a")
except (OSError, IOError), e:
   raise LoggerError("Unable to open logfile %s: %s"
         % (rpath.path, e))

The file is opened with the append flag (“a”), which is write and seek. Replacing it with “w” fixes the problem, but truncates the log file, which is fine with me.